how to find loc properties on my shape ??

Good Morning every body,

I've got a question which is I'm sure ridiculous, because the answere is probably basic... but I'm not a specialist of CAD developement...

Here is my code to design a shape (TopoDS_Shape) from BSplines assembled with the method add from sewed object, and display in my AIS context:

B[loop] = new GeomFill_SimpleBound(SPLAdaptor,Precision::Approximation(),Precision::Angular());

GeomFill_ConstrainedFilling aConstrainedFilling(MaxDeg, MaxSeg); aConstrainedFilling.Init(B[num+1],B[num+2],B[num+3],B[num+4],NoCheck);

aBSplineSurface[loop] = aConstrainedFilling.Surface();

BRepOffsetAPI_Sewing aMethod; TopoDS_Shape aShape = BRepBuilderAPI_MakeFace(aBSplineSurface[loop]); aMethod.Add(aShape);

TopoDS_Shape sewedShape; aMethod.Perform(); sewedShape = aMethod.SewedShape(); wing = new AIS_Shape(sewedShape);

myAISContext->SetColor(wing,Quantity_NOC_RED,Standard_False);

myAISContext->Display(wing);

This code runs very well ! Now, I want, in an other method, retreive the coordinates of some points of the sewedShape TopoDS_Shape object. How can I do ??? In fact, I can give two parameters (u,v) to retreive a point (gp_Pnt) or give two coordinates (x,y), and I want to retreive the z.

thank's you very much for your help,

Norbert Asselin

n-asselin's picture

Hello,

just to simplify my question, it seem's that my shape is a TopoDS_Shell. So How can I compute the coordinates of points which are located on the Shell (by giving 2 parameters u,v or two coordinates x,y ?

Thank's again,

Norbert